from parallels.core.utils.entity import Entity


class ProtectedDirectoryUser(Entity):
    def __init__(self, protected_directory_user_id, protected_directory_id, account_id, login):
        self._protected_directory_user_id = protected_directory_user_id
        self._protected_directory_id = protected_directory_id
        self._account_id = account_id
        self._login = login

    @property
    def protected_directory_user_id(self):
        """
        :rtype: str | unicode
        """
        return self._protected_directory_user_id

    @property
    def protected_directory_id(self):
        """
        :rtype: str | unicode
        """
        return self._protected_directory_id

    @property
    def account_id(self):
        """
        :rtype: str | unicode
        """
        return self._account_id

    @property
    def login(self):
        """
        :rtype: str | unicode
        """
        return self._login
